--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Validator performs various gem file and gem database validation
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: ErrorData
  value: Struct.new(:path, :problem)
full_name: Gem::Validator
includes: 
- !ruby/object:RI::IncludedModule 
  name: UserInteraction
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: alien
- !ruby/object:RI::MethodSummary 
  name: remove_leading_dot_dir
- !ruby/object:RI::MethodSummary 
  name: unit_test
- !ruby/object:RI::MethodSummary 
  name: verify_gem
- !ruby/object:RI::MethodSummary 
  name: verify_gem_file
name: Validator
superclass: Object
